CHGRP(1)

BEZEICHNUNG
chgrp - Gruppenzugehörigkeit ändern

ÜBERSICHT
chgrp [OPTION]... GRUPPE DATEI...
chgrp [OPTION]... --reference=RDATEI DATEI...

BESCHREIBUNG

Ändern der Gruppen‐Zugehörigkeit für jede DATEI nach GRUPPE. Mit --reference: Ändern der Gruppen‐Zugehörigkeit für jede DATEI auf die von RDATEI.

-c, --changes
    wie --verbose, aber nur bei wirklichen Änderungen berichten

--dereference
    referenzierte Datei einer symbolischen Verknüpfung ändern (dies ist die Voreinstellung) statt der Verknüpfung selbst

-h, --no-dereference
    symbolische Verknüpfung statt einer referenzierten Datei ändern. (Nützlich auf Systemen, die für symbolische Verknüpfungen die Besitzer ändern können.)

--no-preserve-root
    »/« nicht besonders behandeln (Voreinstellung)

--preserve-root
    rekursive Bearbeitung von »/« ablehnen

-f, --silent, --quiet
    die meisten Fehlermeldungen unterdrücken

--reference=RDATEI
    RDATEIs Gruppe verwenden anstatt eines GRUPPE‐Wertes

-R, --recursive
    Dateien und Verzeichnisse rekursiv ändern

-v, --verbose
    Diagnose für jede verarbeitete Datei ausgeben

Die folgenden Optionen bestimmen, wie eine Hierarchie abgearbeitet wird, wenn die Option -R ebenfalls gegeben ist. Ist mehr als eine angegeben, wirkt sich nur die letzte aus.

-H  wenn ein Kommandozeilenargument eine symbolische Verknüpfung auf ein Verzeichnis ist, abarbeiten

-L  jede gefundene symbolische Verknüpfung auf ein Verzeichnis abarbeiten

-P  überhaupt keinen symbolischen Verknüpfungen folgen (Voreinstellung)

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

BEISPIELE

chgrp staff /u
    Ändert die Gruppe von /u zu »staff«.

chgrp -hR staff /u
    Ändert die Gruppe von /u und enthaltener Dateien zu »staff«.

AUTOR
Geschrieben von David MacKenzie und Jim Meyering.

FEHLER BERICHTEN
Berichten Sie Fehler in chgrp (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von chgrp an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für chgrp wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und chgrp auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'chgrp invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@informatik.hu-berlin.de> und Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.